---
- name: Zabbix registration for Apache
  when: >
    zabbix_client_host_metadata is defined
    and inventory_hostname_short in groups.Production
    or (groups.zabbix_agent is defined and inventory_hostname_short in groups.zabbix_agent)
  block:
    - name: Extend Zabbix agent registration string
      ansible.builtin.set_fact:
        zabbix_client_host_metadata: "{{ zabbix_client_host_metadata }} apache"
    - name: Configure Apache monitoring
      ansible.builtin.include_role:
        name: let.base_settings.zabbix_client
        tasks_from: appconfigs/apache.yml

# Really needed? Collides with ssl.conf
#
# - name: Apache Configuration File
#   ansible.builtin.template:
#     src: apache.conf
#     dest: "/etc/httpd/conf.d/moodle.conf"
#     mode: "0644"
#   notify: Service httpd restart

- name: Configure Apache SSL
  ansible.builtin.include_tasks: frontend_ssl.yml
